---
title: Unsupported GET API
slug: MDN/Tools/Unsupported_GET_API
tags:
  - Advanced
  - Automation
  - Documentation
  - Draft
  - Guide
  - MDN Meta
  - PUT API
  - Page-level
  - Tools
---
<div>{{MDNSidebar}}</div>

<p><span class="seoSummary">MDN's platform, <a href="https://github.com/mdn/yari">Yari</a>, doesn't provide a supported GET API. However, Yari does currently provide an unsupported mechanism that exposes JSON resources which you can retrieve with HTTP <code>GET</code> requests and then consume programatically.</span></p>

<h2>index.json resources</h2>

<p>Given the URL for a particular MDN article, by making an HTTP GET request to the corresponding URL with <code>/index.json</code> appended, you can retrieve associated JSON data.</p>

<p>For example, for the MDN article at:</p>
<p><a href="/en-US/docs/Web/API/Fetch_API/Using_Fetch">https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch</a></p>
<p>...you can retrieve its associated JSON data at:</p>
<p><a href="/en-US/docs/Web/API/Fetch_API/Using_Fetch/index.json">https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API/Using_Fetch/index.json</a></p>

<div class="warning">
<p><strong>Warning:</strong> The format used for the JSON data in the MDN <code>index.json</code> resources is unversioned and intentionally undocumented. Any part of the format is subject to possible change, including the structure and the key names. It's even possible that Yari may change in such a way that the <code>index.json</code> resources are no longer provided at all.</p>
</div>
